# Generated by sila2.code_generator; sila2.__version__: 0.12.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict

from ..generated.cancelcontroller import UUID, CancelAll_Responses, CancelCommand_Responses, CancelControllerBase

if TYPE_CHECKING:
    from ..server import Server


class CancelControllerImpl(CancelControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def CancelCommand(self, CommandExecutionUUID: UUID, *, metadata: MetadataDict) -> CancelCommand_Responses:
        raise NotImplementedError  # TODO

    def CancelAll(self, *, metadata: MetadataDict) -> CancelAll_Responses:
        raise NotImplementedError  # TODO
